{{! This component is used to display and save a Simple Skill in an Actor, with a checkbox side of it (favoured)
Parameters :
 - skill : skill object
 - reference : the skill name value. Used by FVTT to save the skill value to the System
  - checkbox-reference (String} : the name of the checkbox object value. Used by FVTT to save the checkbox value to the System

 }}
<div class="skill-card-component flexrow">
    <div class="identification" data-item-id="{{id}}">
        <a class="skill-name {{#if skill.favoured.value}}favoured-attribute{{/if}}"
           title="{{ localize 'tor1e.sheet.actions.toggle.favoured' }}"
           data-action-name="{{localize skill.label}}"
           data-action-value="{{skill.value}}"
           data-associate-attribute-name="{{skill.roll.associatedAttribute}}"
           data-action-favoured-name="{{checkbox-reference}}"
           data-action-favoured-value="{{skill.favoured.value}}">
            <p class="skill-label">{{localize skill.label}}</p>
        </a>
    </div>
    <div class="value flexrow">
        <div class="stat-value">
            <div class="inline-skill-modify flexrow skill-element-row" data-field={{reference}}
                 data-action-value="{{skill.value}}" data-action-max-value="6">
                {{#skill-dots skill.value 6}}
                {{/skill-dots}}
            </div>
        </div>
    </div>
</div>